<?php
/**
 * Descriptions
 * @author yzxh24
 * @email yzxh24@gmail.com
 * @created 2012-02-02 14:00:06
 */
class DeleteAction extends BaseAction
{
    public function run()
    {
        //put your code here
        if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->getController()->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
            {
				$this->getController()->redirect(array('index'));
            }
		}
		else
        {
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
        }
    }
}